
DROP DATABASE IF EXISTS filmoteca;
CREATE DATABASE IF NOT EXISTS filmoteca;
USE filmoteca;


DROP TABLE IF EXISTS `peliculas`;
CREATE TABLE `peliculas` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `titulo` varchar(50) collate latin1_spanish_ci default NULL,
  `duracion` smallint(5) unsigned default NULL,
  `director` varchar(50) collate latin1_spanish_ci default NULL,
  `fechaEstreno` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci ROW_FORMAT=COMPACT;


DROP TABLE IF EXISTS `actores`;
CREATE TABLE `actores` (
  `fk_pelicula` int(10) unsigned NOT NULL,
  `nombreActor` varchar(50) collate latin1_spanish_ci default NULL,
  `nombrePersonaje` varchar(50) collate latin1_spanish_ci default NULL,
  PRIMARY KEY  USING BTREE (`fk_pelicula`,`nombreActor`),
  CONSTRAINT `FK_actores_1` FOREIGN KEY (`fk_pelicula`) REFERENCES `peliculas` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_spanish_ci ROW_FORMAT=COMPACT;


INSERT INTO peliculas(id,titulo,duracion,fechaEstreno,director) VALUES(1,'Melancholia', 136, '2011-11-04', 'Lars von Trier');
INSERT INTO peliculas(id,titulo,duracion,fechaEstreno,director) VALUES(2,'Mientras duermes', 212, '2011-11-14', 'Jaume Balaguero');
INSERT INTO peliculas(id,titulo,duracion,fechaEstreno,director) VALUES(3,'La cosa', 109, '1982-06-25', 'John Carpenter');

INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(1,'Kirsten Dunst','Justine');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(1,'Charlotte Gainsbourg','Claire');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(1,'Kiefer Sutherland','John');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(2,'Luis Tosar','Cesar');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(2,'Marta Etura','Clara');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(3,'Kurt Russell','R.J. MacReady');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(3,'Wilford  Brimley','Dr. Blair');
INSERT INTO actores(fk_pelicula,nombreActor,nombrePersonaje) VALUES(3,'Keith David','Childs');
