package org.especialistajee.cw.filmoteca.rest;

import java.util.ArrayList;
import java.util.List;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Produces;
import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.Response.Status;
import javax.ws.rs.core.UriInfo;

import org.especialistajee.cw.filmoteca.dao.DaoException;
import org.especialistajee.cw.filmoteca.dao.FactoriaDaos;
import org.especialistajee.cw.filmoteca.domain.ActorBean;
import org.especialistajee.cw.filmoteca.domain.ActoresBean;
import org.especialistajee.cw.filmoteca.domain.LinkBean;

public class ActoresResource {

	int id;
	
	public ActoresResource(int id) {
		this.id = id;
	}
	
	@GET
	@Produces({MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML})
	public ActoresBean getActores(@Context UriInfo uriInfo) {
		try {			
			ActoresBean actores = FactoriaDaos.getPeliculaDao().getActoresPelicula(id);
			
			List<LinkBean> links = new ArrayList<LinkBean>();
			links.add(new LinkBean("self", uriInfo.getAbsolutePath().toString()));
			links.add(new LinkBean("actores/borrar", uriInfo.getAbsolutePath().toString()));
			links.add(new LinkBean("actores/nuevo", uriInfo.getAbsolutePath().toString()));
			links.add(new LinkBean("actores/pelicula", uriInfo.getBaseUriBuilder().path("/peliculas/{id}").build(id).toString()));
			actores.setLinks(links);
			
			return actores;
		} catch (DaoException e) {
			throw new WebApplicationException(Status.INTERNAL_SERVER_ERROR);
		}		
	}

	@DELETE
	public Response delActores() {
		try {			
			FactoriaDaos.getPeliculaDao().delActoresPelicula(id);
			return Response.noContent().build();
		} catch (DaoException e) {
			e.printStackTrace();
			throw new WebApplicationException(Status.INTERNAL_SERVER_ERROR);
		}		
	}

	@POST
	@Consumes({MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML})
	public Response addActor(ActorBean actor) {
		try {			
			FactoriaDaos.getPeliculaDao().addActor(id, actor);
			return Response.noContent().build();
		} catch (DaoException e) {
			e.printStackTrace();
			throw new WebApplicationException(Status.INTERNAL_SERVER_ERROR);
		}		
	}
}
